clear all


forval x=1/4 {
	use "$Path_enquete/Enquête Emploi en continu (version FPR) - 2003/Stata/indiv03`x'", clear
	destring ag, replace
	destring naia, gen(birthyear)
	keep if birthyear>=1971
	gen female=(sexe=="2")
	destring annee, gen(surveyr)
	gen str2 natper="00"
	drop trim
	gen trim = `x'
	compress
	tempfile ind3`x'
	save `ind3`x'', replace
}

forval x=1/4 {
	use "$Path_enquete/Enquête Emploi en continu (version FPR) - 2004/Stata/indiv04`x'", clear
	destring ag, replace
	destring naia, gen(birthyear)
	keep if birthyear>=1971
	gen female=(sexe=="2")
	destring annee, gen(surveyr)
	gen str2 natper="00"
	drop trim
	gen trim = `x'
	compress
	tempfile ind4`x'
	save `ind4`x'', replace
}

forval x=1/4 {
	use "$Path_enquete\Enquête Emploi en continu (version FPR) - 2005/Stata/indiv05`x'", clear
	destring ag, replace
	destring naia, gen(birthyear)
	keep if birthyear>=1971
	gen female=(sexe=="2")
	destring annee, gen(surveyr)
	rename natperc	natper 
	tostring natper, replace force
	drop trim
	gen trim = `x'
	compress
	tempfile ind5`x'
	save `ind5`x'', replace
}

forval x=1/4 {
	use "$Path_enquete/Enquête Emploi en continu (version FPR) - 2006/Stata/indiv06`x'", clear
	destring ag, replace
	destring naia, gen(birthyear)
	keep if birthyear>=1971	
	gen female=(sexe=="2")
	destring annee, gen(surveyr)
	rename natperc	natper 
	tostring natper, replace force
	drop trim
	gen trim = `x'
	compress
	tempfile ind6`x'
	save `ind6`x'', replace
}

forval x=1/4 {
	use "$Path_enquete/Enquête Emploi en continu (version FPR) - 2007/Stata/indiv07`x'", clear
	destring ag, replace
	destring naia, gen(birthyear)
	keep if birthyear>=1971	
	gen female=(sexe=="2")
	destring annee, gen(surveyr)
	rename natperc	natper 
	tostring natper, replace force
	drop trim
	gen trim = `x'
	compress
	tempfile ind7`x'
	save `ind7`x'', replace
}


forval x=1/4 {
	use "$Path_enquete/Enquête Emploi en continu (version FPR) - 2008/Stata/indiv08`x'", clear
	destring ag, replace
	destring naia, gen(birthyear)
	keep if birthyear>=1971	
	gen female=(sexe=="2")
	destring annee, gen(surveyr)
	rename natperc	natper 
	tostring natper, replace force
	drop trim
	gen trim = `x'
	compress
	tempfile ind8`x'
	save `ind8`x'', replace
}

forval x=1/4 {
	use "$Path_enquete/Enquête Emploi en continu (version FPR) - 2009/Stata/indiv09`x'", clear
	destring ag, replace
	destring naia, gen(birthyear)
	keep if birthyear>=1971	
	gen female=(sexe=="2")
	destring annee, gen(surveyr)
	rename natperc	natper 
	tostring natper, replace force
	drop trim
	gen trim = `x'
	compress
	tempfile ind9`x'
	save `ind9`x'', replace
}

forval x=1/4 {
	use "$Path_enquete/Enquête Emploi en continu (version FPR) - 2010/Stata/indiv10`x'", clear
	destring ag, replace
	destring naia, gen(birthyear)
	keep if birthyear>=1971	
	gen female=(sexe=="2")
	destring annee, gen(surveyr)
	rename natperc	natper 
	tostring natper, replace force
	drop trim
	gen trim = `x'
	compress
	tempfile ind10`x'
	save `ind10`x'', replace
}

forval x=1/4 {
	use "$Path_enquete/Enquête Emploi en continu (version FPR) - 2011/Stata/INDIV11`x'", clear
	destring ag, replace
	destring naia, gen(birthyear)
	keep if birthyear>=1971	
	gen female=(sexe=="2")
	destring annee, gen(surveyr)
	rename natperc	natper 
	tostring natper, replace force
	drop trim
	gen trim = `x'
	compress
	tempfile ind11`x'
	save `ind11`x'', replace
}

forval x=1/4 {
	use "$Path_enquete/Enquête Emploi en continu (version FPR) - 2012/Stata/INDIV12`x'", clear
	destring ag, replace
	destring naia, gen(birthyear)
	keep if birthyear>=1971	
	gen female=(sexe=="2")
	destring annee, gen(surveyr)
	rename natperc	natper 
	tostring natper, replace force
	drop trim
	gen trim = `x'
	compress
	tempfile ind12`x'
	save `ind12`x'', replace
}

forval x=1/4 {
	use "$Path_enquete/Enquête Emploi en continu (version FPR) - 2013/Stata/INDIV13`x'", clear
	destring ag, replace
	destring naia, gen(birthyear)
	keep if birthyear>=1971	
	gen female=(sexe=="2")
	destring annee, gen(surveyr)
	tostring forter, replace
	tostring enfred, replace
	tostring natper, replace force
	drop trim
	gen trim = `x'
	compress
	tempfile ind13`x'
	save `ind13`x'', replace
}

forval x=1/4 {
	use "$Path_enquete/Enquête Emploi en continu (version FPR) - 2014/Stata/INDIV14`x'", clear
	destring ag, replace
	destring naia, gen(birthyear)
	keep if birthyear>=1971	
	gen female=(sexe=="2")
	destring annee, gen(surveyr)
	tostring forter, replace
	tostring natper, replace force
	tostring enfred, replace
	drop trim
	gen trim = `x'
	compress
	tempfile ind14`x'
	save `ind14`x'', replace
}

forval y=15/19 {
forval x=1/4 {
	use "$Path_enquete/Enquête Emploi en continu (version FPR) - 20`y'/Stata/INDIV`y'`x'", clear
	di "`y'"	
	destring ag, replace
	tostring naia, replace
	tostring forter, replace
	tostring sexe, replace
	tostring matri, replace
	tostring nbenfind, replace
	destring naia, gen(birthyear)
	keep if birthyear>=1971	
	gen female=(sexe=="2")
	tostring annee noi dip11, replace
	tostring acteu, replace
	tostring lpr, replace
	tostring pnai28 lnais, replace
	tostring paiperc, replace 
	tostring form, replace 
	destring annee, gen(surveyr)
	tostring natper, replace force
	drop trim
	gen trim = `x'
	compress
	tempfile ind`y'`x'
	save `ind`y'`x'', replace
}
}


use `ind31', clear
forval y=2/4 {
	append using `ind3`y''
}

forval x=4/19 {
	forval y=1/4 {
		append using `ind`x'`y'', force
		di "`x'`y'"
		tab natper
	}
}


//////////////////////////////////
/////////Generating Variables/////
//////////////////////////////////

// Outcome variables
// Education
replace dip11="" if dip11=="In"
destring dip11, replace
gen secondary=(dip11<=50)
replace secondary=. if dip11==.

destring forniv, replace
destring acteu6, replace

// Long-term outcomes
destring acteu, replace
gen inactive=(acteu==3)
replace inactive=. if acteu==.

gen employed=(acteu==1)
replace employed=. if acteu==.

destring em1, replace
destring nbenfind, replace force
gen children=(em1==1)
replace children=. if em1==.
replace children=1 if nbenfind>0&surveyr>=2013
replace children=0 if nbenfind==0&surveyr>=2013
replace children=. if nbenfind==.&surveyr>=2013

destring lpr, replace
destring lprm, replace
gen child=(lpr==3)
replace child=1 if lprm==3
replace child=. if (lpr==.&surveyr<2013)|(lprm==.&surveyr>=2013)

destring matri, replace
gen married=(matri==2)
replace married=. if matri==.


// other demographics+controls
destring lnais, replace

// treated cohorts
gen treatedcoh=(birthyear>=1986)

// Declare panel
egen ind=group(ident noi)
egen time=group(annee trim)
xtset ind time

// Keep if born 1980 or later
keep if birthyear>=1980

// Apply restrictions:
// 20 years or older at time of survey
drop if ag<20

// Drop countries we cannot identify as Muslim or non-Muslim
drop if paiperc=="7"|paiperc=="07"|paiperc=="10"|paiperc=="99" 

// keep first individual occurrence (using variable RGI results in the same)
destring noi, gen(person)
egen personid=group(person ident)
sort personid annee trim
egen tag=tag(personid)
keep if tag==1

//Keep important variables
keep noi personid paiperc paimerc birthyear surveyr secondary inactive employed child children married ///
		 forniv pnai28 lnais female ag nat28pr acteu6 tau10 ///
		acteu6pr cstotpr spr zus treatedcoh dnai natper reg form dip11 forter

				
save repeated_cross_section, replace

use repeated_cross_section, clear

// destring reg, replace

// muslim indicator
drop if paiperc=="7"
replace paiperc="0"+paiperc if surveyr==2019
gen muslim=(paiperc=="06"|paiperc=="08")


// muslim mother
gen mothermuslim=(paimerc=="06"|paimerc=="08")
gen bothparents=(muslim==1&mothermuslim==1)
gen fatheronly=(muslim==1&mothermuslim==0)

// interactions
gen inter=muslim*treatedcoh
label var inter "treatment x post"
foreach x in bothparents fatheronly {
	gen inter`x'=`x'*treatedcoh
}


// linear trend
tab birthyear, gen(coh)
sum birthyear
local minyear=r(min)
local maxyear=r(max)-r(min)
gen t=birthyear-`minyear'+1
gen tmuslim=t*muslim
destring paiperc natper, replace
// father-mother birthplace FE
egen pbpl=group(paiperc)
egen mbpl=group(paimerc)






//////////////////////////////////
////////////Tables////////////////
//////////////////////////////////


//Variable for E panels
gen treatedcoh1984=(birthyear>1984)
gen inter1984=muslim*treatedcoh1984

foreach x in bothparents fatheronly {
gen inter1984`x'=`x'*treatedcoh1984
}


// Defining parameters of each model and panel to use in tables:

//Fix effects by model
local FEmodel1  i.pbpl i.birthyear
local FEmodel2  i.pbpl i.birthyear i.surveyr
local FEmodel3  i.pbpl i.birthyear i.surveyr i.ag##i.pbpl
local FEmodel4  i.pbpl i.birthyear i.ag##i.pbpl i.surveyr
local FEmodel5  i.pbpl i.mbpl i.birthyear i.ag##i.pbpl i.surveyr

//Variables by model
local variabls1 inter
local variabls2 inter
local variabls3 inter
local variabls4 inter tmuslim 
local variabls5 interfatheronly interbothparents  bothparents

//Variables by model of panel E
local Evariabls1 inter1984
local Evariabls2 inter1984
local Evariabls3 inter1984
local Evariabls4 inter1984 tmuslim 
local Evariabls5 inter1984fatheronly inter1984bothparents  bothparents

//Error estimator by panel
local errorspanel1 cluster(pbpl) //A
local errorspanel2 vce(robust) //B
local errorspanel3 cluster(pbpl) //C
local errorspanel4 vce(robust) //D
local errorspanel5 vce(robust) //E

//Sample by panel 
local samplepanel1 if lnais==1 & female==1 & surveyr<2013 //A
local samplepanel2 if lnais==1 & female==1 & surveyr<2013 //B
local samplepanel3 if lnais==1 & female==1 & surveyr<=2019 //C
local samplepanel4 if lnais==1 & female==1 & surveyr<=2019 //D
local samplepanel5 if lnais==1 & female==1  & surveyr<2013 //E

//////////////////////////////////
////////////Table 1///////////////
//////////////////////////////////
 
forval panel = 1/5 {

estimates clear
preserve
keep `samplepanel`panel''
local cl pbpl
estimates clear


//Running and saving regressions
forval x  = 1/5 {

// Panels A, B, C and D
if `panel' < 5 {
reghdfe secondary `variabls`x'' , absorb(`FEmodel`x'') `errorspanel`panel''
estimates store model`x'
}
// Panel E
if `panel' == 5 {
reghdfe secondary `Evariabls`x'' , absorb(`FEmodel`x'') `errorspanel`panel''
estimates store model`x'
}

}

restore

esttab model* using "$Tables/Table1AF`panel'.csv",  star(* 0.1 ** 0.05 *** 0.01) replace cells(b(fmt(a3) star) se(par)) stats(N )  keep(inter*) 

// Export with the right panel label
preserve
import delimited "$Tables/Table1AF`panel'.csv", delimiter(comma) clear

foreach var of varlist v* {
replace `var' = subinstr(`var', "=",  "", .)
replace `var' = subinstr(`var', `"""',  "", .)
}

   if `panel' == 1 {
   export excel using "$Tables/Table F1 panel A", nolabel replace 
   }
   if `panel' == 2 {
   export excel using "$Tables/Table F1 panel B", nolabel replace 
   }
   if `panel' == 3 {
   export excel using "$Tables/Table F1 panel C", nolabel replace 
   }
   if `panel' == 4 {
   export excel using "$Tables/Table F1 panel D", nolabel replace 
   }
   if `panel' == 5 {
   export excel using "$Tables/Table F1 panel E", nolabel replace 
   }

erase "$Tables/Table1AF`panel'.csv"
restore

}


//////////////////////////////////
////////////Table 2///////////////
//////////////////////////////////
local samplepanel1 lnais==1 & female==1 & surveyr<2013
local samplepanel2 lnais==1 & female==1 & surveyr<2013
local samplepanel3 lnais==1 & female==1 & surveyr<2019
local samplepanel4 lnais==1 & female==1 & surveyr<2019
local samplepanel5 lnais==1 & female==1  & surveyr<2013

local errorspanel1 cluster(pbpl) //A
local errorspanel2 vce(robust) //B
local errorspanel3 cluster(pbpl) //C
local errorspanel4 vce(robust) //D
local errorspanel5 vce(robust) //E

forval panel = 1/5 {

estimates clear
local cl pbpl
estimates clear

// Running and saving regressions of panels A, B, C and D
if `panel' < 5 {
reghdfe inactive inter if `samplepanel`panel'' , `errorspanel`panel'' absorb(i.pbpl i.birthyear i.surveyr i.ag##i.pbpl)
estimates store model1
reghdfe employed inter if `samplepanel`panel'' , `errorspanel`panel'' absorb(i.pbpl i.birthyear i.surveyr i.ag##i.pbpl)
estimates store model2
reghdfe child inter if `samplepanel`panel'' , `errorspanel`panel'' absorb(i.pbpl i.birthyear i.surveyr i.ag##i.pbpl)
estimates store model3
reghdfe children inter if `samplepanel`panel'' , `errorspanel`panel'' absorb(i.pbpl i.birthyear i.surveyr i.ag##i.pbpl)
estimates store model4
reghdfe married inter if `samplepanel`panel'' , `errorspanel`panel'' absorb(i.pbpl i.birthyear i.surveyr i.ag##i.pbpl)
estimates store model5
}
// Running regressions of panel E
if `panel' == 5 {
reghdfe inactive inter1984 if `samplepanel`panel'' , `errorspanel`panel'' absorb(i.pbpl i.birthyear i.surveyr i.ag##i.pbpl)
estimates store model1
reghdfe employed inter1984 if `samplepanel`panel'' , `errorspanel`panel'' absorb(i.pbpl i.birthyear i.surveyr i.ag##i.pbpl)
estimates store model2
reghdfe child inter1984 if `samplepanel`panel'' , `errorspanel`panel'' absorb(i.pbpl i.birthyear i.surveyr i.ag##i.pbpl)
estimates store model3
reghdfe children inter1984 if `samplepanel`panel'' , `errorspanel`panel'' absorb(i.pbpl i.birthyear i.surveyr i.ag##i.pbpl)
estimates store model4
reghdfe married inter1984 if `samplepanel`panel'' , `errorspanel`panel'' absorb(i.pbpl i.birthyear i.surveyr i.ag##i.pbpl)
estimates store model5
}


esttab model* using "$Tables/Table2AF`panel'.csv",  star(* 0.1 ** 0.05 *** 0.01) replace cells(b(fmt(a3) star) se(par)) stats(N )  keep(inter*) 

// Export with the right panel label
preserve
import delimited "$Tables/Table2AF`panel'.csv", delimiter(comma) clear

foreach var of varlist v* {
replace `var' = subinstr(`var', "=",  "", .)
replace `var' = subinstr(`var', `"""',  "", .)
}


   if `panel' == 1 {
   export excel using "$Tables/Table F2 panel A", nolabel replace 
   }
   if `panel' == 2 {
   export excel using "$Tables/Table F2 panel B", nolabel replace 
   }
   if `panel' == 3 {
   export excel using "$Tables/Table F2 panel C", nolabel replace 
   }
   if `panel' == 4 {
   export excel using "$Tables/Table F2 panel D", nolabel replace 
   }
   if `panel' == 5 {
   export excel using "$Tables/Table F2 panel E", nolabel replace 
   }


erase "$Tables/Table2AF`panel'.csv"
restore

}















